AWGE(4)

NAME
awge - DesignWare Gigabit Ethernet

SYNOPSIS
awge* at fdt?

DESCRIPTION
The awge driver provides support for the DesignWare GMAC Ethernet.

It supports VLAN-sized frames. It does not presently provide hardware-based checksumming.

SEE ALSO
arp(4), ifmedia(4), mii(4), netintro(4), ifconfig(8) Synopsys, DesignWare Ethernet GMAC IP, April, 2019, https://www.synopsys.com/dw/ipdir.php?ds=dwc_ether_mac10_100_1000_unive.

HISTORY
The awge driver first appeared in NetBSD 7.0. The name awge was chosen due to the hardware appearing in Allwinner boards, but awge is in use in boards by other manufacturers, e.g., Rockchip.

AUTHORS
Matt Thomas <gimpy@NetBSD.org> Martin Husemann <martin@NetBSD.org>